# Uses of Interface
org.springframework.web.servlet.view.freemarker.FreeMarkerConfig

Packages that use FreeMarkerConfig
Package
Description
org.springframework.web.servlet.view.freemarker
Support classes for the integration of FreeMarker as Spring web view technology.

## Uses of FreeMarkerConfig in org.springframework.web.servlet.view.freemarker

Classes in org.springframework.web.servlet.view.freemarker that implement FreeMarkerConfig
Modifier and Type
Class
Description
`class`
`FreeMarkerConfigurer`
Bean to configure FreeMarker for web usage, via the "configLocation", "freemarkerSettings", or "templateLoaderPath" properties.
Methods in org.springframework.web.servlet.view.freemarker that return FreeMarkerConfig
Modifier and Type
Method
Description
`protected FreeMarkerConfig`
FreeMarkerView.`autodetectConfiguration()`
Autodetect a `FreeMarkerConfig` object via the `ApplicationContext`.